<html>
    <head>
      <title>LightParse Demo</title>
        <script src="../lightParse.js"></script>
        <script>
            var initiateDemo = function (){
                //Create Click- Events for the buttons: generate simple events.
                document.getElementById("U2S").onclick = function(){lightParse.matchEvent({user : 2, test : "SUCCESS", time : ((new Date).getTime())});};
                document.getElementById("U2F").onclick = function(){lightParse.matchEvent({user : 2, test : "FAILURE", time : ((new Date).getTime())});};
                document.getElementById("U4S").onclick = function(){lightParse.matchEvent({user : 4, test : "SUCCESS", time : ((new Date).getTime())});};
                document.getElementById("U4F").onclick = function(){lightParse.matchEvent({user : 4, test : "FAILURE", time : ((new Date).getTime())});};
                document.getElementById("U8S").onclick = function(){lightParse.matchEvent({user : 8, test : "SUCCESS", time : ((new Date).getTime())});};
                document.getElementById("U8F").onclick = function(){lightParse.matchEvent({user : 8, test : "FAILURE", time : ((new Date).getTime())});};
                //Create test patterns
                var pattern1 = "SEQ(x1,x2,x3) WHERE (x1.user = x2.user, x2.user = x3.user, x1.test = 'FAILURE', x2.test = 'FAILURE', x3.test = 'FAILURE')";
                var pattern2 = "SEQ(x1,x2,x3) WHERE (x1.time + 10000 > x2.time, x2.user = x3.user, x1.test = 'FAILURE', x2.test = 'SUCCESS', x3.test = 'FAILURE')";
                var pattern3 = "SEQ(x1,x2,x3) WHERE (x1.time + 10000 < x2.time, x2.user = x3.user, x1.test = 'FAILURE', x2.test = 'SUCCESS', x3.test = 'FAILURE')";
                //Callback function:
                var callback = function (args){
                    //Alert when pattern was detected
                    alert("Pattern detected for User: " + args.x3.user);
                }
                //Add pattern and print it to console.
                lightParse.addPattern(pattern1, callback);
                console.log(pattern1);
            }
        </script>
        <style>
          body {background-color: white;}
          td,th {text-align: center;font-size:30px}
          input {font-size:25px; width: 150px}
          h1 {text-align: center;margin-top:1.5em}
          #headLine {margin-bottom: 7em}
          #buttonTable {margin-bottom: 6em}


        </style>
    </head>
    <body onload="initiateDemo()">
        <h1>
          LightParse Demo
        </h1>
        <hr id="headLine">

        <table id="buttonTable" style="width:800" align="center">
          <tr>
            <th>User 2</th>
            <th>User 4</th>
            <th>User 8</th>
          </tr>
          <tr>
            <td><input type="button" id="U2S" value="Success" /> </th>
            <td><input type="button" id="U4S" value="Success" /> </th>
            <td><input type="button" id="U8S" value="Success" /> </th>
          </tr>
          <tr>
            <td><input type="button" id="U2F" value="Failure" /> </th>
            <td><input type="button" id="U4F" value="Failure" /> </th>
            <td><input type="button" id="U8F" value="Failure" /> </th>
          </tr>

        </table>

    </body>
</html>
